Cisco IOS IKEv1 Fragmentation DoS (cisco-sa-20160928-ios-ikev1)

high Nessus Plugin ID 94762

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

According to its self-reported version and configuration, the Cisco IOS software running on the remote device is affected by a denial of service vulnerability in the Internet Key Exchange version 1 (IKEv1) subsystem due to improper handling of fragmented IKEv1 packets. An unauthenticated, remote attacker can exploit this issue, via specially crafted IKEv1 packets, to cause the device to reload.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug ID CSCuy47382. Alternatively, as a workaround, IKEv2 fragmentation can be disabled by using the 'no crypto isakmp fragmentation' command.
However, if IKEv1 fragmentation is needed, there is no workaround that addresses this vulnerability.

See Also

http://www.nessus.org/u?30c88959

Plugin Details

Severity: High

ID: 94762

File Name: cisco-sa-20160928-ikev1-ios.nasl

Version: 1.9

Type: combined

Family: CISCO

Published: 11/14/2016

Updated: 11/14/2019

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: High

Base Score: 7.1

Temporal Score: 5.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:ios

Required KB Items: Host/Cisco/IOS/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 9/28/2016

Vulnerability Publication Date: 9/28/2016

Reference Information

CVE: CVE-2016-6381

BID: 93195